##############################################################################
#
# Copyright (c) 2006 Zope Corporation and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""Image Widgets Test

$Id: tests.py 70231 2006-09-19 17:01:34Z srichter $
"""
__docformat__ = "reStructuredText"
import doctest
import unittest
import zope.component
from zope.app.session import interfaces
from zope.app.session import session
from zope.app.testing import placelesssetup
from zope.app.session.http import CookieClientIdManager
from zope.publisher.interfaces import IRequest
from zope.testing.doctestunit import DocFileSuite


def setUp(test):
    placelesssetup.setUp()
    zope.component.provideAdapter(
        session.ClientId, (IRequest,), interfaces.IClientId)
    zope.component.provideAdapter(
        session.Session, (IRequest,), interfaces.ISession)
    zope.component.provideUtility(
        CookieClientIdManager(), interfaces.IClientIdManager)
    zope.component.provideUtility(
        session.PersistentSessionDataContainer(),
        interfaces.ISessionDataContainer)

def tearDown(test):
    placelesssetup.tearDown()


def test_suite():
    return unittest.TestSuite((
        DocFileSuite('README.txt',
                     setUp=setUp, tearDown=tearDown,
                     optionflags=doctest.NORMALIZE_WHITESPACE|doctest.ELLIPSIS,
                     ),
        ))

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')
